# Enum Class TaskOutcome

java.lang.Object
java.lang.Enum<TaskOutcome>
org.gradle.testkit.runner.TaskOutcome

All Implemented Interfaces:
  `Serializable, Comparable<TaskOutcome>, Constable`

@Incubating public enum TaskOutcome extends Enum<TaskOutcome>
The outcome of executing a task during a build.

Since:
  2.6
See Also:
  - `BuildTask.getOutcome()`

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILED`
The task attempted to execute, but did not complete successfully.
`FROM_CACHE`
The task executed, but did not perform work as its output was found in a build cache.
`NO_SOURCE`
The task was skipped due to all input files declared with `@SkipWhenEmpty` being empty.
`SKIPPED`
The task was not executed due to some reason.
`SUCCESS`
The task executed and performed its actions without failure.
`UP_TO_DATE`
The task was not executed, as its output was up to date.

## Method Summary

Modifier and Type
Method
Description
`static TaskOutcome`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TaskOutcome[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final TaskOutcome SUCCESS
The task executed and performed its actions without failure.

### FAILED

public static final TaskOutcome FAILED
The task attempted to execute, but did not complete successfully.

### UP_TO_DATE

public static final TaskOutcome UP_TO_DATE
The task was not executed, as its output was up to date.

### SKIPPED

public static final TaskOutcome SKIPPED
The task was not executed due to some reason. For Gradle version < 3.4, a task may be skipped if it had no work to do (e.g. no source to compile).

### FROM_CACHE

public static final TaskOutcome FROM_CACHE
The task executed, but did not perform work as its output was found in a build cache.

This outcome only occurs when the build under test has been configured for task output caching.

NOTE: If the Gradle version used for the build under test is older than 3.3, no tasks will have this outcome.

Since:
  3.3

### NO_SOURCE

public static final TaskOutcome NO_SOURCE
The task was skipped due to all input files declared with `@SkipWhenEmpty` being empty.

Since:
  3.4

## Method Details

### values

public static TaskOutcome[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TaskOutcome valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null